Subject: Re: [PATCH] Documentation/git-am: Document supported --patch-format options

From: Chris Packham <[email-masked]>
Date: Sun, 16 Mar 2014 20:59:14 +1300

On 11/03/14 16:51, Chris Packham wrote:
> The --patch-format option has been supported for a while but it is not
> mentioned in the man page and the short help cannot tell the user what
> the supported formats are. Add the option to the man page along with the
> supported options.
> 
> Signed-off-by: Chris Packham <[email-masked]>
> ---
> I've not bothered to actually explain what the options mean. I'm not
> sure if readers will care aside from just trying them until one works
> (that's all I did when I had a patch that failed detection).
> 
>  Documentation/git-am.txt |   12 +++++++++---
>  1 file changed, 9 insertions(+), 3 deletions(-)
> 
> diff --git a/Documentation/git-am.txt b/Documentation/git-am.txt
> index 54d8461..76bd359 100644
> --- a/Documentation/git-am.txt
> +++ b/Documentation/git-am.txt
> @@ -12,9 +12,9 @@ SYNOPSIS
>  'git am' [--signoff] [--keep] [--[no-]keep-cr] [--[no-]utf8]
>  	 [--3way] [--interactive] [--committer-date-is-author-date]
>  	 [--ignore-date] [--ignore-space-change | --ignore-whitespace]
> -	 [--whitespace=<option>] [-C<n>] [-p<n>] [--directory=<dir>]
> -	 [--exclude=<path>] [--include=<path>] [--reject] [-q | --quiet]
> -	 [--[no-]scissors]
> +	 [--whitespace=<option>] [-C<n>] [-p<n>] [--patch-format=<format>]
> +	 [--directory=<dir>] [--exclude=<path>] [--include=<path>]
> +	 [--reject] [-q | --quiet] [--[no-]scissors]
>  	 [(<mbox> | <Maildir>)...]
>  'git am' (--continue | --skip | --abort)
>  
> @@ -97,6 +97,12 @@ default.   You can use `--no-utf8` to override this.
>  	program that applies
>  	the patch.
>  
> +--patch-format::
> +	By default the command will try to detect the patch format
> +	automatically. This option allows the user to bypass the automatic
> +	detection and specify the patch format that the patch(es) should be
> +	intepreted as. Valid formats are mbox, stgit, stgit-series and hg.
> +
>  -i::
>  --interactive::
>  	Run interactively.
> 

Ping?

Actually now that I have the patch in a MUA I see the a simple
s/intepreted/interpreted/ fixup is required.